Bug 241466 - devel/py-virtualenv: Does not seem to build for Python 2.7
Summary: devel/py-virtualenv: Does not seem to build for Python 2.7
Status: Closed Not A Bug
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Some People
Assignee: Nicola Vitale
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2019-10-24 12:52 UTC by rainer
Modified: 2020-01-15 09:49 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (nivit)


Attachments
patch (881 bytes, patch)
2020-01-14 10:25 UTC, kuPyxa
antoine: maintainer-approval-
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description rainer 2019-10-24 12:52:25 UTC
Hi,

I build my packages in a poudriere jail.

Just now, I realized that py27-virtualenv does not get built.
It just seems to be forgotten (it's not under "skipped/failed/ignored packages"

py36-virtualenv does get build.


Why is that?
The last commit suggests, this was fixed?

https://www.freshports.org/devel/py-virtualenv/
Comment 1 rainer 2019-10-24 12:58:40 UTC
It's FreeBSD 11.3 amd64, the 2019Q4 ports-tree cut.

Various py27 ports get built:

-rw-r--r--  3 root  wheel      22937 Oct 23 23:53 py27-MySQLdb-1.2.5_2.log
-rw-r--r--  3 root  wheel      21727 Oct 23 23:08 py27-WebTest-2.0.32.log
-rw-r--r--  3 root  wheel     244798 Oct 23 23:08 py27-ansible1-1.9.6_5.log
-rw-r--r--  3 root  wheel      31208 Oct 23 23:08 py27-beautifulsoup-4.8.0.log
-rw-r--r--  3 root  wheel      42424 Oct 24 07:40 py27-cairo-1.18.1_1.log
-rw-r--r--  3 root  wheel      59149 Oct 23 23:57 py27-cherrypy-5.4.0_3.log
-rw-r--r--  3 root  wheel      78355 Oct 24 07:40 py27-graphite-web-1.1.5_1.log
-rw-r--r--  3 root  wheel     125101 Oct 23 23:59 py27-halite-0.1.17.log
-rw-r--r--  3 root  wheel      43629 Oct 23 23:07 py27-lxml-4.3.4_1.log
-rw-r--r--  3 root  wheel      20686 Oct 23 23:25 py27-mock-2.0.0.log
-rw-r--r--  3 root  wheel      35366 Oct 23 23:01 py27-pbr-3.1.1_1.log
-rw-r--r--  3 root  wheel     113840 Oct 23 23:56 py27-pillow-6.2.0.log
-rw-r--r--  3 root  wheel     156742 Oct 23 23:00 py27-pip-19.1.1.log
-rw-r--r--  3 root  wheel      24218 Oct 23 23:19 py27-ploy_ansible-1.4.1.log
-rw-r--r--  3 root  wheel      38332 Oct 23 23:04 py27-psycopg2-2.8.3_1.log
-rw-r--r--  3 root  wheel      91544 Oct 23 23:06 py27-pycrypto-2.6.1_3.log
-rw-r--r--  3 root  wheel      16193 Oct 23 23:08 py27-pyinotify-0.9.6.log
-rw-r--r--  3 root  wheel      70955 Oct 23 23:08 py27-pylons-1.0.3.log
-rw-r--r--  3 root  wheel      82998 Oct 23 23:14 py27-pyzmq-18.1.0.log
-rw-r--r--  3 root  wheel     592738 Oct 23 23:32 py27-rhodecode-1.7.2_3.log
-rw-r--r--  3 root  wheel     616357 Oct 23 23:26 py27-salt-2019.2.0_2.log
-rw-r--r--  3 root  wheel     192745 Oct 23 22:59 py27-sphinx-1.6.5_2,1.log
-rw-r--r--  3 root  wheel      43599 Oct 23 23:54 py27-sqlobject-1.6.0.log
-rw-r--r--  3 root  wheel      60980 Oct 23 23:22 py27-subversion-1.12.2.log
-rw-r--r--  3 root  wheel      19938 Oct 23 23:14 py27-tkinter-2.7.16_6.log


and py36:

-rw-r--r--  3 root  wheel      27779 Oct 23 23:32 ap24-py36-mod_wsgi-4.6.5.log
-rw-r--r--  3 root  wheel      30560 Oct 23 23:02 py36-acme-0.38.0,1.log
-rw-r--r--  3 root  wheel     777051 Oct 23 23:37 py36-ansible23-2.3.3.0_4.log
-rw-r--r--  3 root  wheel      68699 Oct 23 23:23 py36-certbot-0.38.0_1,1.log
-rw-r--r--  3 root  wheel     119004 Oct 23 23:37 py36-certbot-apache-0.38.0.log
-rw-r--r--  3 root  wheel      48985 Oct 23 23:35 py36-certbot-nginx-0.38.0.log
-rw-r--r--  3 root  wheel     123679 Oct 24 00:02 py36-cloud-init-19.2.log
-rw-r--r--  3 root  wheel      40481 Oct 23 23:35 py36-cloud_sptheme-1.9.4.log
-rw-r--r--  3 root  wheel      52020 Oct 23 23:59 py36-django-easy-thumbnails-2.5.log
-rw-r--r--  3 root  wheel      68634 Oct 23 23:33 py36-fail2ban-0.10.4_2.log
-rw-r--r--  3 root  wheel      44405 Oct 23 23:38 py36-iocage-1.2_2.log
-rw-r--r--  3 root  wheel      41454 Oct 23 23:38 py36-ldap-3.1.0.log
-rw-r--r--  3 root  wheel      43713 Oct 23 23:10 py36-lxml-4.3.4_1.log
-rw-r--r--  3 root  wheel     273696 Oct 24 09:57 py36-matplotlib-2.2.4_1.log
-rw-r--r--  3 root  wheel      20222 Oct 23 23:18 py36-mock-2.0.0.log
-rw-r--r--  3 root  wheel     251783 Oct 24 10:08 py36-networkx-2.1_2.log
-rw-r--r--  3 root  wheel     348471 Oct 24 09:55 py36-numpy-1.16.5,1.log
-rw-r--r--  3 root  wheel      35706 Oct 23 23:01 py36-pbr-3.1.1_1.log
-rw-r--r--  3 root  wheel     114551 Oct 23 23:57 py36-pillow-6.2.0.log
-rw-r--r--  3 root  wheel     159406 Oct 23 23:00 py36-pip-19.1.1.log
-rw-r--r--  3 root  wheel      91948 Oct 23 23:09 py36-pycrypto-2.6.1_3.log
-rw-r--r--  3 root  wheel      37624 Oct 24 07:54 py36-pygraphviz-1.5.log
-rw-r--r--  3 root  wheel      16010 Oct 23 23:19 py36-pyinotify-0.9.6.log
-rw-r--r--  3 root  wheel      16970 Oct 23 23:18 py36-python-augeas-1.0.3.log
-rw-r--r--  3 root  wheel      23533 Oct 23 23:03 py36-pyudev-0.21.0.log
-rw-r--r--  3 root  wheel      86800 Oct 23 23:19 py36-pyzmq-18.1.0.log
-rw-r--r--  3 root  wheel      23493 Oct 23 22:59 py36-recommonmark-0.5.0_1.log
-rw-r--r--  3 root  wheel      38360 Oct 23 23:01 py36-requests-toolbelt-0.8.0.log
-rw-r--r--  3 root  wheel     632246 Oct 23 23:28 py36-salt-2019.2.0_2.log
-rw-r--r--  3 root  wheel      26401 Oct 24 10:07 py36-scikit-sparse-0.4.4_3.log
-rw-r--r--  3 root  wheel    1254232 Oct 24 10:06 py36-scipy-1.2.2_1.log
-rw-r--r--  3 root  wheel     193990 Oct 23 22:59 py36-sphinx-1.6.5_2,1.log
-rw-r--r--  3 root  wheel      22132 Oct 23 23:26 py36-sphinxcontrib-fulltoc-1.2.0.log
-rw-r--r--  3 root  wheel      19165 Oct 23 23:14 py36-tkinter-3.6.9_6.log
-rw-r--r--  3 root  wheel      26505 Oct 23 23:35 py36-virtualenv-16.7.5.log



make.conf:

WITH_PKGNG=yes
INSTALL_NODEBUG="yes"
A4=yes
WITH_UTF8=yes
WITHOUT_X11=yes
WITHOUT_X=yes
OPTIONS_UNSET="X11 DOCS"
NO_PROFILE=true
WITH_MPM=event 
WANT_OPENLDAP_SASL=YES
WITH_GSSAPI=YES
DEFAULT_VERSIONS+=mysql=5.5m apache=2.4 ruby=2.5 pgsql=10 perl5=5.28
Comment 2 rainer 2019-10-28 11:34:10 UTC
OK, so it turns out I need to add @all in the port-list.

I admit I know I need to do that with PHP, too.

But when I go to 

www.freshports.org/devel/py-virtualenv it says:

"  People using Poudriere 3.2+ and binary packages do not have to do anything."


And it did build, previously....
Comment 4 kuPyxa 2019-12-18 15:06:42 UTC
Issue https://github.com/freebsd/poudriere/issues/734
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2020-01-13 03:57:43 UTC
(In reply to kuPyxa from comment #4)

Could you please test if you are you able to build py-virtualenv for 2.7 if you replace:

.if ${FLAVOR:U:Mpy27}

with

.if ${PYTHON_VER} < 3
Comment 6 kuPyxa 2020-01-13 10:22:27 UTC
dfgdfg
Comment 7 kuPyxa 2020-01-14 10:25:19 UTC
Created attachment 210731 [details]
patch

Attached working patch
Comment 8 Antoine Brodin freebsd_committer 2020-01-14 10:27:43 UTC
Comment on attachment 210731 [details]
patch

This patch is wrong.  The port is correct.
Comment 9 kuPyxa 2020-01-14 12:51:20 UTC
(In reply to Antoine Brodin from comment #8)
Could you build port in Poudriere with python 2.7 by default?
Comment 10 Antoine Brodin freebsd_committer 2020-01-14 13:04:37 UTC
Why do you want to build with python 2.7 which is EOL upstream and has been deprecated for a few years?  We are currently removing python 2.7 support from the tree,  so don't do it.
Comment 11 Antoine Brodin freebsd_committer 2020-01-14 13:07:19 UTC
Also:

% pkg -vv
...
Repositories:
  FreeBSD: {
    url             : "pkg+http://pkg.FreeBSD.org/FreeBSD:12:amd64/latest",
    enabled         : yes,
    priority        : 0,
    mirror_type     : "SRV",
    signature_type  : "FINGERPRINTS",
    fingerprints    : "/usr/share/keys/pkg"
  }

% pkg search virtualenv
py27-pytest-virtualenv-1.7.0   Virtualenv fixture for py.test
py27-virtualenv-16.7.5         Tool for creating isolated Python environments
py27-virtualenv-clone-0.4.0_1  Python virtualenv cloning script
py27-virtualenvwrapper-4.8.2_2 Set of extensions to virtualenv
py37-pytest-virtualenv-1.7.0   Virtualenv fixture for py.test
py37-virtualenv-16.7.5         Tool for creating isolated Python environments
py37-virtualenv-clone-0.4.0_1  Python virtualenv cloning script
py37-virtualenvwrapper-4.8.2_2 Set of extensions to virtualenv

So the official package builders are building it fine.
Comment 12 kuPyxa 2020-01-15 09:32:17 UTC
(In reply to Antoine Brodin from comment #10)
We are switching to Python 3, but this is a long process.
Comment 13 kuPyxa 2020-01-15 09:38:33 UTC
(In reply to Antoine Brodin from comment #11)
If you use devel/py-virtualenv@all all good, but I don't want a lot of packages in my repository.

I am trying build only for one python version with port name devel/py-virtualenv.

This condition will not work for other version of Python not only for Python 2.7.
Comment 14 Antoine Brodin freebsd_committer 2020-01-15 09:41:00 UTC
(In reply to kuPyxa from comment #13)

Either use devel/py-virtualenv@all or devel/py-virtualenv@py27
Comment 15 kuPyxa 2020-01-15 09:49:54 UTC
(In reply to Antoine Brodin from comment #14)
This does not work if you are using Python 2.7 by default.